ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Proliant XL420 Gen9 Centos 7.5 and hprcu

 
Citoyx
Occasional Visitor

Proliant XL420 Gen9 Centos 7.5 and hprcu

i cannot access my ILO either in ssh nor web. I would like to use the LInux system to get network information fron ILO on this server, and if required set a correct IP. 

The server is an proliant xl420 gen9 and the os is a fresh centos 7.5

I downloaded hprcu hp-scripting-tools-11.20-2.rhel7.x86_64.rpm, and installed it and when i run it to read the config  i got this error : 

********:~# hprcu --save
hprcu 5.3.0.0 - HP ROM Configuration Utility
(c) Copyright 2011,2017 Hewlett Packard Enterprise Development LP


---------- System Information ----------
Product Name=ProLiant XL420 Gen9
Sytem ROM Family=U19
System ROM Date=05/21/2018
System Total Memory=131072MB

ERROR: WARNING: Couldn't find the System Default table. System defaults will not be saved in output file.
Hp-rcu return code: 1

And it stops there. 

 

Any hint about why would be required to do, in order to get it working ? 

3 REPLIES 3
Suman_1978
HPE Pro

Re: Proliant XL420 Gen9 Centos 7.5 and hprcu

Hi,

Refer to this post, may be a hint, you may have to use hp-scripting-tools for RHEL 7.5 because you are using CentOS 7.5.
https://community.hpe.com/t5/BladeSystem-Server-Blades/HP-ProLiant-BL460c-Gen8-Replication-of-bios-settings/td-p/5802649

If you check the RHEL and CentOS support matrix for XL420 Gen9, then version 7.2 is supported and not 7.5
http://h17007.www1.hpe.com/us/en/enterprise/servers/supportmatrix/exceptions/cent_exceptions.aspx
http://h17007.www1.hpe.com/us/en/enterprise/servers/supportmatrix/exceptions/rhel_exceptions.aspx

According to https://en.wikipedia.org/wiki/CentOS
CentOS version 7.5-1804, RHEL base is 7.5

Drivers for RHEL 7.5 is not yet released/available or is not supported for this server.


Thank You!
I am an HPE Employee

Was the post useful? Click on the white KUDOS! Thumb below.  Kudos is a way of saying thank you to a post.
Useful Links for ProLiant Servers

Accept or Kudo

Jimmy Vance
HPE Pro

Re: Proliant XL420 Gen9 Centos 7.5 and hprcu


@Citoyx wrote:

i cannot access my ILO either in ssh nor web. I would like to use the LInux system to get network information fron ILO on this server, and if required set a correct IP. 

The server is an proliant xl420 gen9 and the os is a fresh centos 7.5

I downloaded hprcu hp-scripting-tools-11.20-2.rhel7.x86_64.rpm, and installed it and when i run it to read the config  i got this error : 

********:~# hprcu --save
hprcu 5.3.0.0 - HP ROM Configuration Utility
(c) Copyright 2011,2017 Hewlett Packard Enterprise Development LP


---------- System Information ----------
Product Name=ProLiant XL420 Gen9
Sytem ROM Family=U19
System ROM Date=05/21/2018
System Total Memory=131072MB

ERROR: WARNING: Couldn't find the System Default table. System defaults will not be saved in output file.
Hp-rcu return code: 1

And it stops there. 

 

Any hint about why would be required to do, in order to get it working ? 


hprcu only works on ProLiant Gen8 servers except for the DL580. hprcu does not work on any UEFI based ProLiant server, use conrep or the hprest tool to capture System ROM settings.

No support by private messages. Please ask the forum! Accept or KudoI work for HPE
Jimmy Vance
HPE Pro

Re: Proliant XL420 Gen9 Centos 7.5 and hprcu


@Suman_1978 wrote:

Hi,

If you check the RHEL and CentOS support matrix for XL420 Gen9, then version 7.2 is supported and not 7.5
http://h17007.www1.hpe.com/us/en/enterprise/servers/supportmatrix/exceptions/cent_exceptions.aspx
http://h17007.www1.hpe.com/us/en/enterprise/servers/supportmatrix/exceptions/rhel_exceptions.aspx


This is not a correct statement.  The pages you refer to list the minimum supported OS versions. This note is at the bottom of the page
PLEASE NOTE: Minimum support includes all future updates of the indicated release unless a maximum is listed. (Example: CentOS 6 implies support for CentOS 6.x, unless it's specifically called out in the notes as "not supported with 6.x")

 

No support by private messages. Please ask the forum! Accept or KudoI work for HPE